Retrieve PCI Change Order SC Vendor Details By Code

Prev Next
Get
/cm-rest-api/rest/1/cmvendordetail

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Cm Vendor Detail Finder 2
  • By UUID

Cm Vendor Detail Finder 2

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
CompCode Company Code 002
ChgCode Change Code EXT.002
VenCode Vendor Code TBD
JobCode Job Code 20001

By UUID

This is an optional finder for querying a specific PCI Change Order Vendor Detail by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleCmVendorDetailFinder2; CompCode=002, ChgCode=EXT.002, VenCode=TBD, JobCode=20001
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleCmdvdVUuid:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
example-0

Successful Response - Finder - CmVendorDetailFinder2

{
  "items": [
    {
      "CmdvdCompCode": "002",
      "CmdvdJobCode": "20001",
      "CmdvdChgCode": "EXT.002",
      "CmdvdVenCode": "TBD",
      "CmdvdBpAbbrevCode": "TBD",
      "CmdvdVenName": "TBD",
      "CmdvdContactCode": null,
      "CmdvdContactName": null,
      "CmdvdQuotedQty": null,
      "CmdvdQuotedRate": null,
      "CmdvdQuotedAmt": null,
      "CmdvdRfqSentDate": null,
      "CmdvdRfqDueDate": null,
      "CmdvdRfqReceivedDate": null,
      "CmdvdRfqComments": null,
      "CmdvdPrintFlag": null,
      "CmdvdSrcCmdOraseq": 63251720,
      "CmdvdOrigQuoteAmt": null,
      "CmdvdPartnTypeCode": "P",
      "CmdvdCmmastOraseq": 63251719,
      "CmdvdPostingFlag": "UNPOSTED",
      "CmdvdIuCreateDate": "2017-01-04T16:13:35Z",
      "CmdvdIuUpdateDate": null,
      "CmdvdVUuid": "DBED0CBA1E6046C2E05316821FAC0E25",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail",
      "name": "cmvendordetail",
      "kind": "collection"
    }
  ]
}
example-1

Successful Response - Finder - CmVendorDetailFinder1

{
  "items": [
    {
      "CmdvdCompCode": "002",
      "CmdvdJobCode": "20001",
      "CmdvdChgCode": "EXT.002",
      "CmdvdVenCode": "TBD",
      "CmdvdBpAbbrevCode": "TBD",
      "CmdvdVenName": "TBD",
      "CmdvdContactCode": null,
      "CmdvdContactName": null,
      "CmdvdQuotedQty": null,
      "CmdvdQuotedRate": null,
      "CmdvdQuotedAmt": null,
      "CmdvdRfqSentDate": null,
      "CmdvdRfqDueDate": null,
      "CmdvdRfqReceivedDate": null,
      "CmdvdRfqComments": null,
      "CmdvdPrintFlag": null,
      "CmdvdSrcCmdOraseq": 63251720,
      "CmdvdOrigQuoteAmt": null,
      "CmdvdPartnTypeCode": "P",
      "CmdvdCmmastOraseq": 63251719,
      "CmdvdPostingFlag": "UNPOSTED",
      "CmdvdIuCreateDate": "2017-01-04T16:13:35Z",
      "CmdvdIuUpdateDate": null,
      "CmdvdVUuid": "DBED0CBA1E6046C2E05316821FAC0E25",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail",
      "name": "cmvendordetail",
      "kind": "collection"
    }
  ]
}
object